Package ghidra.framework.protocol.ghidra

# Class GhidraProtocolHandler

java.lang.Object
ghidra.framework.protocol.ghidra.GhidraProtocolHandler

All Implemented Interfaces:
  `ExtensionPoint`

Direct Known Subclasses:
  `DefaultGhidraProtocolHandler`

public abstract class GhidraProtocolHandler extends Object implements ExtensionPoint
`GhidraProtocolHandler` provides the extension point for Ghidra protocol extensions. A Ghidra protocol extension will be identified within by the optional extProtocolName appearing within a Ghidra URL: ghidra:[<extProtocolName>:]/... In the absence of a protocol extension the `DefaultGhidraProtocolHandler` will be used.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GhidraProtocolHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract GhidraProtocolConnector`
  `getConnector(URL ghidraUrl)`
  Get the Ghidra protocol connector for a Ghidra URL which requires this extension.
  `abstract boolean`
  `isExtensionSupported(String extProtocolName)`
  Determine if this protocol handler is responsible for handling the specified named protocol extension.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GhidraProtocolHandler

    public GhidraProtocolHandler()

- ## Method Details

  - ### isExtensionSupported

    public abstract boolean isExtensionSupported(String extProtocolName)
    Determine if this protocol handler is responsible for handling the specified named protocol extension. One handler may support multiple protocol extension names (e.g., http and https).
    Parameters:
      `extProtocolName` - protocol extension name
    Returns:
      true if this handler supports the specified protocol extension name

  - ### getConnector

    public abstract GhidraProtocolConnector getConnector(URL ghidraUrl) throws MalformedURLException
    Get the Ghidra protocol connector for a Ghidra URL which requires this extension.
    Parameters:
      `ghidraUrl` - Ghidra protocol URL
    Returns:
      Ghidra protocol connector
    Throws:
      `MalformedURLException` - if URL is invalid